Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPointAgent

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent

All Implemented Interfaces:
  IDynamics, IParameter, ISubobject, ITransformable, IVecI, IVecOp

Direct Known Subclasses:
  IParticleAgent

    public class IPointAgent

extends IAgent
implements IVecI

Class of an agent based on one point.

Field Summary
`IPoint` | `point`
`IVec` | `pos`

Fields inherited from class igeo.IAgent
`alive, duration, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IPointAgent()`
`IPointAgent(double x, double y, double z)`
`IPointAgent(IPointAgent pa)`
`IPointAgent(IVec p)`
`IPointAgent(IVecI p)`

Method Summary
`IPointAgent` | `add(double x, double y, double z)`
`IPointAgent` | `add(double f, IVecI v)` scale add alias
`IPointAgent` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointAgent` | `add(IDoubleI f, IVecI v)` scale add alias
`IPointAgent` | `add(IVecI v)`
`IPointAgent` | `add(IVecI v, double f)` scale add
`IPointAgent` | `add(IVecI v, IDoubleI f)` scale add
`double` | `angle(ISwitchE e, IVecI v)`
`double` | `angle(ISwitchE e, IVecI v, IVecI axis)`
`IDouble` | `angle(ISwitchR r, IVecI v)`
`IDouble` | `angle(ISwitchR r, IVecI v, IVecI axis)`
`double` | `angle(IVecI v)`
`double` | `angle(IVecI v, IVecI axis)`
`IVec` | `bisect(IVecI v)` create a new instance of bisector
`IPointAgent` | `clr(java.awt.Color c)`
`IPointAgent` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IPointAgent` | `clr(double dgray)`
`IPointAgent` | `clr(double dgray, double dalpha)`
`IPointAgent` | `clr(double dr, double dg, double db)`
`IPointAgent` | `clr(double dr, double dg, double db, double da)`
`IPointAgent` | `clr(float fgray)`
`IPointAgent` | `clr(float fgray, float falpha)`
`IPointAgent` | `clr(float fr, float fg, float fb)`
`IPointAgent` | `clr(float fr, float fg, float fb, float fa)`
`IPointAgent` | `clr(int gray)`
`IPointAgent` | `clr(int gray, int alpha)`
`IPointAgent` | `clr(int r, int g, int b)`
`IPointAgent` | `clr(int r, int g, int b, int a)`
`IPointAgent` | `cp()` alias of dup()
`IPointAgent` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IPointAgent` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointAgent` | `cp(IVecI v)`
`IVec` | `cross(IVecI v)` cross product creates a new instance
`IVec` | `dif(IVecI v)` create a new instance of difference
`IVec` | `diff(IVecI v)` alias of dif
`double` | `dist(ISwitchE e, IVecI v)`
`IDouble` | `dist(ISwitchR r, IVecI v)`
`double` | `dist(IVecI v)`
`double` | `dist2(ISwitchE e, IVecI v)`
`IDouble` | `dist2(ISwitchR r, IVecI v)`
`double` | `dist2(IVecI v)` squared distance
`IPointAgent` | `div(double v)`
`IPointAgent` | `div(IDoubleI v)`
`double` | `dot(ISwitchE e, IVecI v)`
`IDouble` | `dot(ISwitchR r, IVecI v)`
`double` | `dot(IVecI v)`
`IPointAgent` | `dup()` duplicate object
`boolean` | `eq(ISwitchE e, IVecI v)`
`boolean` | `eq(ISwitchE e, IVecI v, double resolution)`
`IBool` | `eq(ISwitchR r, IVecI v)`
`IBool` | `eq(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eq(IVecI v)` whether location is same or not
`boolean` | `eq(IVecI v, double resolution)`
`boolean` | `eqX(ISwitchE e, IVecI v)`
`boolean` | `eqX(ISwitchE e, IVecI v, double resolution)`
`IBool` | `eqX(ISwitchR r, IVecI v)`
`IBool` | `eqX(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eqX(IVecI v)`
`boolean` | `eqX(IVecI v, double resolution)`
`boolean` | `eqY(ISwitchE e, IVecI v)`
`boolean` | `eqY(ISwitchE e, IVecI v, double resolution)`
`IBool` | `eqY(ISwitchR r, IVecI v)`
`IBool` | `eqY(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eqY(IVecI v)`
`boolean` | `eqY(IVecI v, double resolution)`
`boolean` | `eqZ(ISwitchE e, IVecI v)`
`boolean` | `eqZ(ISwitchE e, IVecI v, double resolution)`
`IBool` | `eqZ(ISwitchR r, IVecI v)`
`IBool` | `eqZ(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eqZ(IVecI v)`
`boolean` | `eqZ(IVecI v, double resolution)`
`IPointAgent` | `flip()` alias of neg
`IVec` | `get()`
`double` | `getSize()`
`IDouble` | `getX()`
`IDouble` | `getY()`
`IDouble` | `getZ()`
`IPointAgent` | `hide()`
`IPointAgent` | `hsb(double h, double s, double b)`
`IPointAgent` | `hsb(double h, double s, double b, double a)`
`IPointAgent` | `hsb(float h, float s, float b)`
`IPointAgent` | `hsb(float h, float s, float b, float a)`
`boolean` | `isValid()` checking parameters validity.
`IPointAgent` | `layer(ILayer l)` Set layer by ILayer object
`double` | `len()`
`IPointAgent` | `len(double l)`
`IPointAgent` | `len(IDoubleI l)`
`double` | `len(ISwitchE e)`
`IDouble` | `len(ISwitchR r)`
`double` | `len2()` square of length
`double` | `len2(ISwitchE e)`
`IDouble` | `len2(ISwitchR r)`
`IVec` | `mid(IVecI v)` create a new instance of midpoint
`IPointAgent` | `mirror(IVecI planeDir)` mirror is alias of ref
`IPointAgent` | `mirror(IVecI center, IVecI planeDir)`
`IPointAgent` | `mul(double v)`
`IPointAgent` | `mul(IDoubleI v)`
`IPointAgent` | `mv(double x, double y, double z)` mv() is alias of add()
`IPointAgent` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointAgent` | `mv(IVecI v)`
`IPointAgent` | `name(java.lang.String nm)` methods of IObject
`IPointAgent` | `neg()`
`IVec` | `nml(IVecI v)` alias of cross
`IVec` | `nml(IVecI pt1, IVecI pt2)` create normal vector from 3 points of self, pt1 and pt2
`IVec` | `pos()`
`IPointAgent` | `pos(IVecI v)`
`IVec` | `position()`
`IPointAgent` | `position(IVecI v)`
`IPointAgent` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IPointAgent` | `ref(IVecI center, IVecI planeDir)`
`IPointAgent` | `rev()` alias of neg()
`IPointAgent` | `rot(double angle)`
`IPointAgent` | `rot(IDoubleI angle)` rotation around z-axis and origin
`IPointAgent` | `rot(IVecI axis, double angle)`
`IPointAgent` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IPointAgent` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IPointAgent` | `rot(IVecI center, IVecI axis, double angle)`
`IPointAgent` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center
`IPointAgent` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IPointAgent` | `rot2(double angle)` rotation on xy-plane around origin; same with rot(double)
`IPointAgent` | `rot2(IDoubleI angle)` rotation on xy-plane around origin; same with rot(IDoubleI)
`IPointAgent` | `rot2(IVecI destDir)` rotation on xy-plane to destination direction vector
`IPointAgent` | `rot2(IVecI center, double angle)`
`IPointAgent` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane around center
`IPointAgent` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane to destination point location
`IPointAgent` | `scale(double f)`
`IPointAgent` | `scale(IDoubleI f)` alias of mul
`IPointAgent` | `scale(IVecI center, double f)`
`IPointAgent` | `scale(IVecI center, IDoubleI f)`
`IPointAgent` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IPointAgent` | `scale1d(IVecI axis, IDoubleI f)`
`IPointAgent` | `scale1d(IVecI center, IVecI axis, double f)`
`IPointAgent` | `scale1d(IVecI center, IVecI axis, IDoubleI f)`
`IPointAgent` | `set(double x, double y, double z)`
`IPointAgent` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointAgent` | `set(IVecI v)`
`IPointAgent` | `setColor(java.awt.Color c)`
`IPointAgent` | `setColor(java.awt.Color c, int alpha)`
`IPointAgent` | `setColor(double dgray)`
`IPointAgent` | `setColor(double dgray, double dalpha)`
`IPointAgent` | `setColor(double dr, double dg, double db)`
`IPointAgent` | `setColor(double dr, double dg, double db, double da)`
`IPointAgent` | `setColor(float fgray)`
`IPointAgent` | `setColor(float fgray, float falpha)`
`IPointAgent` | `setColor(float fr, float fg, float fb)`
`IPointAgent` | `setColor(float fr, float fg, float fb, float fa)`
`IPointAgent` | `setColor(int gray)`
`IPointAgent` | `setColor(int gray, int alpha)`
`IPointAgent` | `setColor(int r, int g, int b)`
`IPointAgent` | `setColor(int r, int g, int b, int a)`
`IPointAgent` | `setHSBColor(double h, double s, double b)`
`IPointAgent` | `setHSBColor(double h, double s, double b, double a)`
`IPointAgent` | `setHSBColor(float h, float s, float b)`
`IPointAgent` | `setHSBColor(float h, float s, float b, float a)`
`IPointAgent` | `setSize(double sz)` methods of IPoint
`IPointAgent` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IPointAgent` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IPointAgent` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)`
`IPointAgent` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IPointAgent` | `shearXY(double sxy, double syx)`
`IPointAgent` | `shearXY(IDoubleI sxy, IDoubleI syx)`
`IPointAgent` | `shearXY(IVecI center, double sxy, double syx)`
`IPointAgent` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)`
`IPointAgent` | `shearYZ(double syz, double szy)`
`IPointAgent` | `shearYZ(IDoubleI syz, IDoubleI szy)`
`IPointAgent` | `shearYZ(IVecI center, double syz, double szy)`
`IPointAgent` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)`
`IPointAgent` | `shearZX(double szx, double sxz)`
`IPointAgent` | `shearZX(IDoubleI szx, IDoubleI sxz)`
`IPointAgent` | `shearZX(IVecI center, double szx, double sxz)`
`IPointAgent` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)`
`IPointAgent` | `show()`
`double` | `size()`
`IPointAgent` | `size(double sz)`
`IPointAgent` | `sub(double x, double y, double z)`
`IPointAgent` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointAgent` | `sub(IVecI v)`
`IVec` | `sum(IVecI... v)` create a new instance of total summation
`IVec` | `sum(IVecI v)` create a new instance of total summation
`IVec` | `sum(IVecI v2, double w2)`
`IVec` | `sum(IVecI v2, double w1, double w2)` weighted sum
`IVec` | `sum(IVecI v2, IDoubleI w2)`
`IVec` | `sum(IVecI v2, IDoubleI w1, IDoubleI w2)`
`IVec2` | `to2d()`
`IVec4` | `to4d()`
`IVec4` | `to4d(double w)`
`IVec4` | `to4d(IDoubleI w)`
`java.lang.String` | `toString()`
`IPointAgent` | `transform(IMatrix3I mat)`
`IPointAgent` | `transform(IMatrix4I mat)`
`IPointAgent` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)`
`IPointAgent` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)`
`IPointAgent` | `translate(double x, double y, double z)` translate() is alias of add()
`IPointAgent` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointAgent` | `translate(IVecI v)`
`IPointAgent` | `unit()`
`double` | `x()` methods of IVecI
`double` | `y()`
`double` | `z()`
`IPointAgent` | `zero()` setting all zero

Methods inherited from class igeo.IAgent
`addDynamics, alive, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, createGraphic, deleteGraphic, getColor, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pos

    public IVec pos

### point

    public IPoint point

Constructor Detail

### IPointAgent

    public IPointAgent()

### IPointAgent

    public IPointAgent(double x,
                       double y,
                       double z)

### IPointAgent

    public IPointAgent(IVec p)

### IPointAgent

    public IPointAgent(IVecI p)

### IPointAgent

    public IPointAgent(IPointAgent pa)

Method Detail

### position

    public IVec position()

### position

    public IPointAgent position(IVecI v)

### pos

    public IVec pos()

### pos

    public IPointAgent pos(IVecI v)

### x

    public double x()

  methods of IVecI

  Specified by:
    `x` in interface `IVecI`

### y

    public double y()

  Specified by:
    `y` in interface `IVecI`

### z

    public double z()

  Specified by:
    `z` in interface `IVecI`

### get

    public IVec get()

  Specified by:
    `get` in interface `IParameter`
  Specified by:
    `get` in interface `IVecI`
  Specified by:
    `get` in interface `IVecOp`

### dup

    public IPointAgent dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IObject`

### to2d

    public IVec2 to2d()

  Specified by:
    `to2d` in interface `IVecI`

### to4d

    public IVec4 to4d()

  Specified by:
    `to4d` in interface `IVecI`

### to4d

    public IVec4 to4d(double w)

  Specified by:
    `to4d` in interface `IVecI`

### to4d

    public IVec4 to4d(IDoubleI w)

  Specified by:
    `to4d` in interface `IVecI`

### getX

    public IDouble getX()

  Specified by:
    `getX` in interface `IVecI`

### getY

    public IDouble getY()

  Specified by:
    `getY` in interface `IVecI`

### getZ

    public IDouble getZ()

  Specified by:
    `getZ` in interface `IVecI`

### set

    public IPointAgent set(IVecI v)

  Specified by:
    `set` in interface `IVecI`

### set

    public IPointAgent set(double x,
                           double y,
                           double z)

  Specified by:
    `set` in interface `IVecI`

### set

    public IPointAgent set(IDoubleI x,
                           IDoubleI y,
                           IDoubleI z)

  Specified by:
    `set` in interface `IVecI`

### add

    public IPointAgent add(double x,
                           double y,
                           double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointAgent add(IDoubleI x,
                           IDoubleI y,
                           IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointAgent add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### sub

    public IPointAgent sub(double x,
                           double y,
                           double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`

### sub

    public IPointAgent sub(IDoubleI x,
                           IDoubleI y,
                           IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`

### sub

    public IPointAgent sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`

### mul

    public IPointAgent mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`

### mul

    public IPointAgent mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`

### div

    public IPointAgent div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`

### div

    public IPointAgent div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`

### neg

    public IPointAgent neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`

### rev

    public IPointAgent rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`

### flip

    public IPointAgent flip()

  Description copied from interface: `ITransformable`
  alias of neg

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`

### zero

    public IPointAgent zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IVecI`

### add

    public IPointAgent add(IVecI v,
                           double f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointAgent add(IVecI v,
                           IDoubleI f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointAgent add(double f,
                           IVecI v)

  Description copied from interface: `ITransformable`
  scale add alias

  Specified by:
    `add` in interface `ITransformable`

### add

    public IPointAgent add(IDoubleI f,
                           IVecI v)

  Description copied from interface: `ITransformable`
  scale add alias

  Specified by:
    `add` in interface `ITransformable`

### dot

    public double dot(IVecI v)

  Specified by:
    `dot` in interface `IVecI`

### dot

    public double dot(ISwitchE e,
                      IVecI v)

  Specified by:
    `dot` in interface `IVecI`

### dot

    public IDouble dot(ISwitchR r,
                       IVecI v)

  Specified by:
    `dot` in interface `IVecI`

### cross

    public IVec cross(IVecI v)

  Description copied from interface: `IVecI`
  cross product creates a new instance

  Specified by:
    `cross` in interface `IVecI`

### len

    public double len()

  Specified by:
    `len` in interface `IVecI`

### len

    public double len(ISwitchE e)

  Specified by:
    `len` in interface `IVecI`

### len

    public IDouble len(ISwitchR r)

  Specified by:
    `len` in interface `IVecI`

### len2

    public double len2()

  Description copied from interface: `IVecI`
  square of length

  Specified by:
    `len2` in interface `IVecI`

### len2

    public double len2(ISwitchE e)

  Specified by:
    `len2` in interface `IVecI`

### len2

    public IDouble len2(ISwitchR r)

  Specified by:
    `len2` in interface `IVecI`

### len

    public IPointAgent len(IDoubleI l)

  Specified by:
    `len` in interface `IVecI`

### len

    public IPointAgent len(double l)

  Specified by:
    `len` in interface `IVecI`

### unit

    public IPointAgent unit()

  Specified by:
    `unit` in interface `IVecI`

### dist

    public double dist(IVecI v)

  Specified by:
    `dist` in interface `IVecI`

### dist

    public double dist(ISwitchE e,
                       IVecI v)

  Specified by:
    `dist` in interface `IVecI`

### dist

    public IDouble dist(ISwitchR r,
                        IVecI v)

  Specified by:
    `dist` in interface `IVecI`

### dist2

    public double dist2(IVecI v)

  Description copied from interface: `IVecI`
  squared distance

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public double dist2(ISwitchE e,
                        IVecI v)

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public IDouble dist2(ISwitchR r,
                         IVecI v)

  Specified by:
    `dist2` in interface `IVecI`

### eq

    public boolean eq(IVecI v)

  Description copied from interface: `IVecI`
  whether location is same or not

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(ISwitchE e,
                      IVecI v)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public IBool eq(ISwitchR r,
                    IVecI v)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(IVecI v,
                      double resolution)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(ISwitchE e,
                      IVecI v,
                      double resolution)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public IBool eq(ISwitchR r,
                    IVecI v,
                    IDoubleI resolution)

  Specified by:
    `eq` in interface `IVecI`

### eqX

    public boolean eqX(IVecI v)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(IVecI v)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(IVecI v)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(ISwitchE e,
                       IVecI v)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(ISwitchE e,
                       IVecI v)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(ISwitchE e,
                       IVecI v)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public IBool eqX(ISwitchR r,
                     IVecI v)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public IBool eqY(ISwitchR r,
                     IVecI v)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public IBool eqZ(ISwitchR r,
                     IVecI v)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(IVecI v,
                       double resolution)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(IVecI v,
                       double resolution)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(IVecI v,
                       double resolution)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(ISwitchE e,
                       IVecI v,
                       double resolution)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(ISwitchE e,
                       IVecI v,
                       double resolution)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(ISwitchE e,
                       IVecI v,
                       double resolution)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public IBool eqX(ISwitchR r,
                     IVecI v,
                     IDoubleI resolution)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public IBool eqY(ISwitchR r,
                     IVecI v,
                     IDoubleI resolution)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public IBool eqZ(ISwitchR r,
                     IVecI v,
                     IDoubleI resolution)

  Specified by:
    `eqZ` in interface `IVecI`

### angle

    public double angle(IVecI v)

  Specified by:
    `angle` in interface `IVecI`
  Returns:
    angle between two vector from 0 to Pi

### angle

    public double angle(ISwitchE e,
                        IVecI v)

  Specified by:
    `angle` in interface `IVecI`

### angle

    public IDouble angle(ISwitchR r,
                         IVecI v)

  Specified by:
    `angle` in interface `IVecI`

### angle

    public double angle(IVecI v,
                        IVecI axis)

  Specified by:
    `angle` in interface `IVecI`
    `axis` - axis to determin sign of angle following right-handed screw rule.
  Returns:
    angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

### angle

    public double angle(ISwitchE e,
                        IVecI v,
                        IVecI axis)

  Specified by:
    `angle` in interface `IVecI`

### angle

    public IDouble angle(ISwitchR r,
                         IVecI v,
                         IVecI axis)

  Specified by:
    `angle` in interface `IVecI`

### rot

    public IPointAgent rot(IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around z-axis and origin

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IPointAgent rot(double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IPointAgent rot(IVecI axis,
                           IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointAgent rot(IVecI axis,
                           double angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointAgent rot(IVecI center,
                           IVecI axis,
                           double angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointAgent rot(IVecI center,
                           IVecI axis,
                           IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around axis vector and center

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointAgent rot(IVecI axis,
                           IVecI destDir)

  Description copied from interface: `ITransformable`
  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointAgent rot(IVecI center,
                           IVecI axis,
                           IVecI destPt)

  Description copied from interface: `ITransformable`
  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot2

    public IPointAgent rot2(IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation on xy-plane around origin; same with rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IPointAgent rot2(double angle)

  Description copied from interface: `ITransformable`
  rotation on xy-plane around origin; same with rot(double)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IPointAgent rot2(IVecI center,
                            double angle)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IPointAgent rot2(IVecI center,
                            IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation on xy-plane around center

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IPointAgent rot2(IVecI destDir)

  Description copied from interface: `ITransformable`
  rotation on xy-plane to destination direction vector

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IPointAgent rot2(IVecI center,
                            IVecI destPt)

  Description copied from interface: `ITransformable`
  rotation on xy-plane to destination point location

  Specified by:
    `rot2` in interface `ITransformable`

### scale

    public IPointAgent scale(IDoubleI f)

  Description copied from interface: `ITransformable`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale

    public IPointAgent scale(double f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale

    public IPointAgent scale(IVecI center,
                             IDoubleI f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale

    public IPointAgent scale(IVecI center,
                             double f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale1d

    public IPointAgent scale1d(IVecI axis,
                               double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPointAgent scale1d(IVecI axis,
                               IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPointAgent scale1d(IVecI center,
                               IVecI axis,
                               double f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPointAgent scale1d(IVecI center,
                               IVecI axis,
                               IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### ref

    public IPointAgent ref(IVecI planeDir)

  Description copied from interface: `ITransformable`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`

### ref

    public IPointAgent ref(IVecI center,
                           IVecI planeDir)

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`

### mirror

    public IPointAgent mirror(IVecI planeDir)

  Description copied from interface: `ITransformable`
  mirror is alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`

### mirror

    public IPointAgent mirror(IVecI center,
                              IVecI planeDir)

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`

### shear

    public IPointAgent shear(double sxy,
                             double syx,
                             double syz,
                             double szy,
                             double szx,
                             double sxz)

  Description copied from interface: `ITransformable`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shear

    public IPointAgent shear(IDoubleI sxy,
                             IDoubleI syx,
                             IDoubleI syz,
                             IDoubleI szy,
                             IDoubleI szx,
                             IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shear

    public IPointAgent shear(IVecI center,
                             double sxy,
                             double syx,
                             double syz,
                             double szy,
                             double szx,
                             double sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shear

    public IPointAgent shear(IVecI center,
                             IDoubleI sxy,
                             IDoubleI syx,
                             IDoubleI syz,
                             IDoubleI szy,
                             IDoubleI szx,
                             IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shearXY

    public IPointAgent shearXY(double sxy,
                               double syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearXY

    public IPointAgent shearXY(IDoubleI sxy,
                               IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearXY

    public IPointAgent shearXY(IVecI center,
                               double sxy,
                               double syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearXY

    public IPointAgent shearXY(IVecI center,
                               IDoubleI sxy,
                               IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearYZ

    public IPointAgent shearYZ(double syz,
                               double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearYZ

    public IPointAgent shearYZ(IDoubleI syz,
                               IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearYZ

    public IPointAgent shearYZ(IVecI center,
                               double syz,
                               double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearYZ

    public IPointAgent shearYZ(IVecI center,
                               IDoubleI syz,
                               IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearZX

    public IPointAgent shearZX(double szx,
                               double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### shearZX

    public IPointAgent shearZX(IDoubleI szx,
                               IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### shearZX

    public IPointAgent shearZX(IVecI center,
                               double szx,
                               double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### shearZX

    public IPointAgent shearZX(IVecI center,
                               IDoubleI szx,
                               IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### translate

    public IPointAgent translate(double x,
                                 double y,
                                 double z)

  Description copied from interface: `ITransformable`
  translate() is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`

### translate

    public IPointAgent translate(IDoubleI x,
                                 IDoubleI y,
                                 IDoubleI z)

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`

### translate

    public IPointAgent translate(IVecI v)

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`

### transform

    public IPointAgent transform(IMatrix3I mat)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### transform

    public IPointAgent transform(IMatrix4I mat)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### transform

    public IPointAgent transform(IVecI xvec,
                                 IVecI yvec,
                                 IVecI zvec)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### transform

    public IPointAgent transform(IVecI xvec,
                                 IVecI yvec,
                                 IVecI zvec,
                                 IVecI translate)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### mv

    public IPointAgent mv(double x,
                          double y,
                          double z)

  Description copied from interface: `ITransformable`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`

### mv

    public IPointAgent mv(IDoubleI x,
                          IDoubleI y,
                          IDoubleI z)

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`

### mv

    public IPointAgent mv(IVecI v)

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`

### cp

    public IPointAgent cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IObject`

### cp

    public IPointAgent cp(double x,
                          double y,
                          double z)

  Description copied from interface: `ITransformable`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`

### cp

    public IPointAgent cp(IDoubleI x,
                          IDoubleI y,
                          IDoubleI z)

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`

### cp

    public IPointAgent cp(IVecI v)

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`

### dif

    public IVec dif(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of difference

  Specified by:
    `dif` in interface `IVecI`

### diff

    public IVec diff(IVecI v)

  Description copied from interface: `IVecI`
  alias of dif

  Specified by:
    `diff` in interface `IVecI`

### mid

    public IVec mid(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of midpoint

  Specified by:
    `mid` in interface `IVecI`

### sum

    public IVec sum(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of total summation

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI... v)

  Description copied from interface: `IVecI`
  create a new instance of total summation

  Specified by:
    `sum` in interface `IVecI`

### bisect

    public IVec bisect(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of bisector

  Specified by:
    `bisect` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    double w1,
                    double w2)

  Description copied from interface: `IVecI`
  weighted sum

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    double w2)

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    IDoubleI w1,
                    IDoubleI w2)

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    IDoubleI w2)

  Specified by:
    `sum` in interface `IVecI`

### nml

    public IVec nml(IVecI v)

  Description copied from interface: `IVecI`
  alias of cross

  Specified by:
    `nml` in interface `IVecI`

### nml

    public IVec nml(IVecI pt1,
                    IVecI pt2)

  Description copied from interface: `IVecI`
  create normal vector from 3 points of self, pt1 and pt2

  Specified by:
    `nml` in interface `IVecI`

### isValid

    public boolean isValid()

  Description copied from class: `IObject`
  checking parameters validity. to be overriden.

  Specified by:
    `isValid` in interface `IVecI`
  Overrides:
    `isValid` in class `IObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setSize

    public IPointAgent setSize(double sz)

  methods of IPoint

### size

    public IPointAgent size(double sz)

### getSize

    public double getSize()

### size

    public double size()

### name

    public IPointAgent name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IAgent`

### layer

    public IPointAgent layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IAgent`

### show

    public IPointAgent show()

  Overrides:
    `show` in class `IAgent`

### hide

    public IPointAgent hide()

  Overrides:
    `hide` in class `IAgent`

### clr

    public IPointAgent clr(java.awt.Color c)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(java.awt.Color c,
                           int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(int gray)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(float fgray)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(double dgray)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(int gray,
                           int alpha)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(float fgray,
                           float falpha)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(double dgray,
                           double dalpha)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(int r,
                           int g,
                           int b)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(float fr,
                           float fg,
                           float fb)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(double dr,
                           double dg,
                           double db)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(int r,
                           int g,
                           int b,
                           int a)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(float fr,
                           float fg,
                           float fb,
                           float fa)

  Overrides:
    `clr` in class `IAgent`

### clr

    public IPointAgent clr(double dr,
                           double dg,
                           double db,
                           double da)

  Overrides:
    `clr` in class `IAgent`

### hsb

    public IPointAgent hsb(float h,
                           float s,
                           float b,
                           float a)

  Overrides:
    `hsb` in class `IAgent`

### hsb

    public IPointAgent hsb(double h,
                           double s,
                           double b,
                           double a)

  Overrides:
    `hsb` in class `IAgent`

### hsb

    public IPointAgent hsb(float h,
                           float s,
                           float b)

  Overrides:
    `hsb` in class `IAgent`

### hsb

    public IPointAgent hsb(double h,
                           double s,
                           double b)

  Overrides:
    `hsb` in class `IAgent`

### setColor

    public IPointAgent setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(java.awt.Color c,
                                int alpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(int gray)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(float fgray)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(double dgray)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(int gray,
                                int alpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(float fgray,
                                float falpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(double dgray,
                                double dalpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(int r,
                                int g,
                                int b)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(float fr,
                                float fg,
                                float fb)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(double dr,
                                double dg,
                                double db)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(int r,
                                int g,
                                int b,
                                int a)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(float fr,
                                float fg,
                                float fb,
                                float fa)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IPointAgent setColor(double dr,
                                double dg,
                                double db,
                                double da)

  Overrides:
    `setColor` in class `IAgent`

### setHSBColor

    public IPointAgent setHSBColor(float h,
                                   float s,
                                   float b,
                                   float a)

  Overrides:
    `setHSBColor` in class `IAgent`

### setHSBColor

    public IPointAgent setHSBColor(double h,
                                   double s,
                                   double b,
                                   double a)

  Overrides:
    `setHSBColor` in class `IAgent`

### setHSBColor

    public IPointAgent setHSBColor(float h,
                                   float s,
                                   float b)

  Overrides:
    `setHSBColor` in class `IAgent`

### setHSBColor

    public IPointAgent setHSBColor(double h,
                                   double s,
                                   double b)

  Overrides:
    `setHSBColor` in class `IAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD